Subject: Re: For the FAQ: NT PATH problems
From: "Kai Henningsen" <[email-masked]>
To: [email-masked]
Cc: Corinna Vinschen <[email-masked]>, [email-masked]
Date: Mon, 11 Oct 1999 12:30:02 +0200

Well, I've had it happen again. Details below.

On 1 Oct 99, at 8:09, Chris Faylor wrote:

> On Fri, Oct 01, 1999 at 01:26:40PM +0200, Kai Henningsen wrote:
> >On 1 Oct 99, at 11:43, Corinna Vinschen wrote:
> >> Kai Henningsen wrote:
> >> > 
> >> > Q: I'm on NT, and bash can't find any commands unless I give the
> >> > whole pathname. CYGWIN.BAT sets the PATH, but bash doesn't
> >> > see this - it magically disappears again.
> >> > 
> >> > A: Under Settings/Control Panel/System/Environment, there are
> >> > system and user variables. You need to have both a "Path" entry in
> >> > the upper window, and a "PATH" entry in the lower window. The
> >> > latter is probably missing.
> >> > 
> >> > Just type PATH into the Variable field, leave Value blank, and click
> >> > on Set.
> >> > 
> >> > (Don't ask me why Microsoft decided to do it this way.)
> >> 
> >> I dont know, why you think so, but that is neither a general
> >> problem, nor a solution. 
> >
> >It is an exact description of what happened to me, and how I solved 
> >it. Nothing else worked; this worked immediately.
> >
> >Of course, now that I try to reproduce it, I can't. 
> >
> >(At one time, I had two or three versions of the cygwin directory in 
> >the PATH in a DOS window, and after calling CYGWIN.BAT, bash 
> >showed none of them in the PATH.)
> >
> >>NT concat's both PATHs to generate the
> >> path for the current user. They also doesn't disappear if
> >> they are correct. One problem seems to be the existence of a
> >> trailing semicolon but I don't remember the exact effect. Maybe,
> >> another reader can explain it?
> >
> >Maybe it's something that got broken installing SP5, and got 
> >repaired once the Control Panel poked around. I certainly don't 
> >know.
> 
> In that case, this will not be going into the FAQ.  Sorry.
> 
> -chris

This is my CYGNUS.BAT:

@ECHO OFF
SET MAKE_MODE=UNIX
SET PATH=E:\gcc-2.95.1-mingw32\bin;E:\gcc-2_95-mingw32\bin\;E:\cygnus\cygwin-b20\H-i586-cygwin32\bin;%PATH%
SET CDPATH=
SET HOME=/home
SET CYGWIN=ntsec
bash --login

This is the 'Path' system environment var definition:

E:\Perl\bin;%SystemRoot%\system32;%SystemRoot%;F:\Programme\Personal Communications;f:\aintx;%SystemRoot%\system32\nls\ENGLISH;%SystemRoot%\system32\nls;E:\NTReskit

The first (and second) Cygwin window opened today had the 
following PATH:

PATH='/Perl/bin:/WINNT/system32:/WINNT:/f/Programme/Personal Communications:/f/aintx:/WINNT/system32/nls/ENGLISH:/WINNT/system32/nls:/NTReskit:/cygdrive/w/:/cygdrive/z/:/cygdrive/y/:/cygdrive/x/'

Then I added an empty user environment var PATH, and lo and 
behold, the next Cygwin window opened had:

PATH='/gcc-2.95.1-mingw32/bin:/gcc-2_95-mingw32/bin/:/cygnus/cygwin-b20/H-i586-cygwin32/bin:/Perl/bin:/WINNT/system32:/WINNT:/f/Programme/Personal 
Communications:/f/aintx:/WINNT/system32/nls/ENGLISH:/WINNT/system32/nls:/NTReskit:/cygdrive/w/:/cygdrive/z/:/cygdrive/y/:/cygdrive/x/:/cygdrive/c/WIN95.US:/cygdrive/c/WIN95.US/COMMAND:/cygdrive/c/WIN98.US/COMMAND:/cygdrive/c/WIN98:/cygdrive/c/WIN98/COMMAND:/f/READIBMW:/f/vim/vim55'

So: absence of this variable does not always produce the bug, but 
*if* the bug shows up, creating said variable removes it.

Regards - Kai Henningsen

-- 
http://www.cats.ms
Spuentrup CTI       Fon: +49 251 322311 0  
Windbreede 12       Fax: +49 251 322311 99
D-48157 Münster     Mob: +49 161 3223111
Germany             GSM: +49 171 7755060

--
Want to unsubscribe from this list?
Send a message to [email-masked]